Index: winedefault.reg
===================================================================
RCS file: /home/wine/wine/winedefault.reg,v
retrieving revision 1.83
diff -u -r1.83 winedefault.reg
--- winedefault.reg	8 Dec 2003 22:19:12 -0000	1.83
+++ winedefault.reg	4 Jan 2004 05:03:30 -0000
@@ -4620,3 +4620,11 @@
 [HKEY_CLASSES_ROOT\CLSID\{E436EBB3-524F-11CE-9F53-0020AF0BA770}\InprocServer32]
 @="quartz.dll"
 "ThreadingModel"="Both"
+
+# Map requests to open "http" entries to winebroswer
+[HKEY_LOCAL_MACHINE\software\classes\http\shell\open\command]
+@="winebrowser %1"
+
+# Default browsers
+[HKEY_LOCAL_MACHINE\software\wine\config\winebrowser\browser]
+@="mozilla,netscape,konqueror,galeon,opera"
Index: configure.ac
===================================================================
RCS file: /home/wine/wine/configure.ac,v
retrieving revision 1.221
diff -u -r1.221 configure.ac
--- configure.ac	2 Jan 2004 03:53:57 -0000	1.221
+++ configure.ac	4 Jan 2004 05:03:50 -0000
@@ -1650,6 +1650,7 @@
 programs/view/Makefile
 programs/wcmd/Makefile
 programs/wineboot/Makefile
+programs/winebrowser/Makefile
 programs/winecfg/Makefile
 programs/wineconsole/Makefile
 programs/winedbg/Makefile
Index: programs/Makefile.in
===================================================================
RCS file: /home/wine/wine/programs/Makefile.in,v
retrieving revision 1.42
diff -u -r1.42 Makefile.in
--- programs/Makefile.in	4 Dec 2003 02:01:40 -0000	1.42
+++ programs/Makefile.in	4 Jan 2004 05:03:50 -0000
@@ -22,6 +22,7 @@
 	view \
 	wcmd \
 	wineboot \
+	winebrowser \
 	winecfg \
 	wineconsole \
 	winedbg \
@@ -50,6 +51,7 @@
 	uninstaller \
 	wcmd \
 	wineboot \
+	winebrowser \
 	winecfg \
 	wineconsole \
 	winedbg \
@@ -71,6 +73,7 @@
 	uninstaller \
 	wcmd \
 	wineboot \
+	winebrowser \
 	winecfg \
 	wineconsole \
 	winedbg \
@@ -99,6 +102,7 @@
 	view.exe \
 	wcmd.exe \
 	wineboot.exe \
+	winebrowser.exe \
 	winecfg.exe \
 	wineconsole.exe \
 	winedbg.exe \
@@ -208,6 +212,9 @@
 wineboot.exe$(DLLEXT): wineboot/wineboot.exe$(DLLEXT)
 	$(RM) $@ && $(LN_S) wineboot/wineboot.exe$(DLLEXT) $@
 
+winebrowser.exe$(DLLEXT): winebrowser/winebrowser.exe$(DLLEXT)
+	$(RM) $@ && $(LN_S) winebrowser/winebrowser.exe$(DLLEXT) $@
+
 winecfg.exe$(DLLEXT): winecfg/winecfg.exe$(DLLEXT)
 	$(RM) $@ && $(LN_S) winecfg/winecfg.exe$(DLLEXT) $@
 
@@ -259,6 +266,7 @@
 view/view.exe$(DLLEXT): view
 wcmd/wcmd.exe$(DLLEXT): wcmd
 wineboot/wineboot.exe$(DLLEXT): wineboot
+winebrowser/winebrowser.exe$(DLLEXT): winebrowser
 winecfg/winecfg.exe$(DLLEXT): winecfg
 wineconsole/wineconsole.exe$(DLLEXT): wineconsole
 winedbg/winedbg.exe$(DLLEXT): winedbg
Index: programs/make_progs
===================================================================
RCS file: /home/wine/wine/programs/make_progs,v
retrieving revision 1.1
diff -u -r1.1 make_progs
--- programs/make_progs	30 Nov 2003 06:18:43 -0000	1.1
+++ programs/make_progs	4 Jan 2004 05:03:55 -0000
@@ -36,6 +36,7 @@
   "uninstaller" => 1,
   "wcmd" => 1,
   "wineboot" => 1,
+  "winebrowser" => 1,
   "winecfg" => 1,
   "wineconsole" => 1,
   "winedbg" => 1,
Index: tools/wineinstall
===================================================================
RCS file: /home/wine/wine/tools/wineinstall,v
retrieving revision 1.62
diff -u -r1.62 wineinstall
--- tools/wineinstall	26 Nov 2003 03:55:01 -0000	1.62
+++ tools/wineinstall	4 Jan 2004 05:03:56 -0000
@@ -145,6 +145,7 @@
   link_app uninstaller  "$CROOT/windows/uninstall.exe"
   link_app winhelp      "$CROOT/windows/winhelp.exe"
   link_app winhelp      "$CROOT/windows/winhlp32.exe"
+  link_app winebrowser  "$CROOT/windows/winebrowser.exe"
 }
 
 # startup...
